# Uses of Class
ij.macro.Variable

Packages that use Variable
Package
Description
ij.macro
ij.measure

## Uses of Variable in ij.macro

Methods in ij.macro that return Variable
Modifier and Type
Method
Description
`Variable[]`
Program.`getGlobals()`
Methods in ij.macro with parameters of type Variable
Modifier and Type
Method
Description
`static void`
ExtensionDescriptor.`convertOutputType(Variable variable, Object object)`
`static Object`
ExtensionDescriptor.`convertVariable(Interpreter interp, int rawType, Variable var)`
Constructors in ij.macro with parameters of type Variable
Modifier
Constructor
Description
``
`Variable(Variable[] array)`

## Uses of Variable in ij.measure

Methods in ij.measure that return Variable
Modifier and Type
Method
Description
`Variable[]`
ResultsTable.`getColumnAsVariables(String column)`
Implements the Table.getColumn() macro function.
Methods in ij.measure with parameters of type Variable
Modifier and Type
Method
Description
`void`
ResultsTable.`setColumn(String column, Variable[] array)`
Implements the Table.setColumn() macro function.